package com.sw.mes.sap.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.sap.dao.ReportErpInputRecordDetailDao;
import com.sw.mes.sap.entity.ReportErpInputRecordDetail;
import com.sw.mes.sap.service.ReportErpInputRecordDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class ReportErpInputRecordDetailServiceImpl extends BaseServiceImpl<ReportErpInputRecordDetail> implements ReportErpInputRecordDetailService {
    ReportErpInputRecordDetailDao dao;
	@Autowired
    public void setDao(ReportErpInputRecordDetailDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

    @Override
    public List<ReportErpInputRecordDetail> findRecordDetail(Long id) {
        return dao.findRecordDetail(id);
    }

    @Override
    public void updateAll(Long id) {
        dao.updateAll(id);
    }
}
